Package org.drinkless.tdlib

# Class TdApi.SendMessageAlbum

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Messages>
org.drinkless.tdlib.TdApi.SendMessageAlbum

Enclosing class:
  TdApi

public static class TdApi.SendMessageAlbum extends TdApi.Function<TdApi.Messages>
Sends 2-10 messages grouped together into an album. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `Messages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Target chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent[]`
  `inputMessageContents`
  Contents of messages to be sent.
  `long`
  `messageThreadId`
  If not 0, the message thread identifier in which the messages will be sent.
  `TdApi.MessageSendOptions`
  `options`
  Options to be used to send the messages; pass null to use default options.
  `TdApi.InputMessageReplyTo`
  `replyTo`
  Information about the message or story to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendMessageAlbum()`
  Default constructor for a function, which sends 2-10 messages grouped together into an album.
  `SendMessageAlbum(long chatId, long messageThreadId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, TdApi.InputMessageContent[] inputMessageContents)`
  Creates a function, which sends 2-10 messages grouped together into an album.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Target chat.

  - ### messageThreadId

    public long messageThreadId
    If not 0, the message thread identifier in which the messages will be sent.

  - ### replyTo

    public TdApi.InputMessageReplyTo replyTo
    Information about the message or story to be replied; pass null if none.

  - ### options

    public TdApi.MessageSendOptions options
    Options to be used to send the messages; pass null to use default options.

  - ### inputMessageContents

    public TdApi.InputMessageContent[] inputMessageContents
    Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendMessageAlbum

    public SendMessageAlbum()
    Default constructor for a function, which sends 2-10 messages grouped together into an album. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `Messages`

  - ### SendMessageAlbum

    public SendMessageAlbum(long chatId, long messageThreadId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, TdApi.InputMessageContent[] inputMessageContents)
    Creates a function, which sends 2-10 messages grouped together into an album. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `Messages`

    Parameters:
      `chatId` - Target chat.
      `messageThreadId` - If not 0, the message thread identifier in which the messages will be sent.
      `replyTo` - Information about the message or story to be replied; pass null if none.
      `options` - Options to be used to send the messages; pass null to use default options.
      `inputMessageContents` - Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Messages>`
    Returns:
      this.CONSTRUCTOR